#ifndef _QPLAYER_H_
#define _QPLAYER_H_

#include "qaudio_driver.h"

typedef struct
{
	qaudio_waveout_driver * driver;
    HWAVEOUT       handle;   
    RD_BOOL        opened;

    void * wave_buffer;
    void * context;

}audio_player;

audio_player * create_player (  WAVEFORMATEX * _format );
void destroy_player ( audio_player * _player );
void configure_player ( audio_player * _player , uint32 _pitch, uint32 _volume , uint32 _rate );

void reset_player( audio_player * _player );

void play_wave ( audio_player * _player , uint8 * _data , uint32 _size );

#endif
