/*
 * qrecorder.h
 *
 *  Created on: 05.08.2009
 *      Author: beloborodov
 */

#ifndef _QRECORDER_H_
#define _QRECORDER_H_

#include "qaudio_driver.h"

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct
{
	qaudio_wavein_driver * driver;
    HWAVEIN       handle;
    RD_BOOL       opened;
    uint32		  status;

    void * wave_buffer;
    void * context;

}audio_recorder;

audio_recorder * create_recorder (  WAVEFORMATEX * _format );
void destroy_recorder ( audio_recorder * _recorder );
void configure_recorder ( audio_recorder * _recorder , uint32 _status );

int record_wave ( audio_recorder * _recorder , uint8 * _data , uint32 _size );

#ifdef __cplusplus
}
#endif

#endif /* QRECORDER_H_ */
