#!/bin/sh

WORK_DIR=`dirname "$0"`
cd "$WORK_DIR"
WORK_DIR=$PWD

DANTE_VER="dante-1.3.2"
DESTINATION_DIR="$WORK_DIR/../../qrdesktop/extensions/proxying"

tar xzf ${DANTE_VER}.tar.gz
cd ${DANTE_VER}
/bin/sh ./configure --enable-static --disable-shared --enable-debug --without-glibc-secure  --without-gssapi --without-krb5 --without-sasl --without-ldap
make
cp ./lib/.libs/libsocks.a "$DESTINATION_DIR/libsocksd.a"

cd "$WORK_DIR"
rm -rf ${DANTE_VER}

