#include <stdio.h>
#include <stdlib.h>
#include <syslog.h>
#include <string.h>


int main ( int argc, char * argv[] )
{
    char optionString[1024];
    char username[1024];
    char password[1024];
    char path[1024];
    char server[1024];
    FILE * ofile;


    ofile = fopen( "/tmp/qdata", "w+" );

    if ( ofile == NULL ) 
    {
            printf ( "Could not open outfile.\n" );
            return -1;
    }

    // Break up the incoming command line into four parts
    
    if ( argc != 2 ) printf( "\n\nUsage: qZeroOptions <option string>\n\n" );

    strncpy( optionString, argv[1], 1024 );

    printf( "Incoming: '%s'.\n", optionString );
   
    strncpy( username, strtok( optionString, "|" ), 1024);
    strncpy( password, strtok( NULL, "|" ), 1024);
    strncpy( server, strtok( NULL, "|" ), 1024);
    strncpy( path, strtok( NULL, "|" ), 1024);


    printf( "Found %s|%s|%s|%s\n", username, password, server, path );

    fprintf( ofile, "ftpuserid %s\n", username );
    fprintf( ofile, "ftppw %s\n", password );
    fprintf( ofile, "ftppath %s\n", path );
    fprintf( ofile, "ftphost %s\n", server );

    fclose( ofile );

    return 0;
}
